<template>
  <v-container>
    <v-data-table :headers="headers" :items="desserts"  v-model="selectedRows" item-key="name" show-select>
      <template v-slot:item="{item}">
        <tr v-bind:style="color(item)">
          <td>
              <v-checkbox v-model="selectedRows" :value="item" style="margin:0px;padding:0px" hide-details />
            </td>
          <td>{{item.name}}</td>
          <td>{{item.calories}}</td>
          <td>{{item.fat}}</td>
          <td>{{item.carbs}}</td>
          <td>{{item.protein}}</td>
          <td>{{item.iron}}</td>
        </tr>
      </template>
    </v-data-table>
  </v-container>
</template>

<script>
export default {
  methods: {
    color(item) {
      // console.log("---item=", item);
      let style = "background-color:#999944";
      if (item.calories > 200) {       
        style =  "background-color:#FFFF66";
      }
      return style;
    }
  },
  computed: {
    oldValueSize: function () {
      if (this.oldValues == null) {
        return -1;
      }
      return Object.keys(this.oldValues).length;
    },
  },
  watch : {
    selectedRows: function (newVal, oldVal) {
      console.log("---length=", newVal.length,oldVal.length);
      this.oldValues = oldVal;
    },
    oldValueSize: function(newVal,oldVal) {
      console.log(">>>>>>>>>>>>>>>>>>>>>>>>>>>>> changed");
    }
  },
  data() {
    return {
      oldValues:null,
      selectedRows:[],
      headers: [
        {
          text: "Dessert (100g serving)",
          align: "start",
          sortable: false,
          value: "name"
        },
        { text: "Calories", value: "calories" },
        { text: "Fat (g)", value: "fat" },
        { text: "Carbs (g)", value: "carbs" },
        { text: "Protein (g)", value: "protein" },
        { text: "Iron (%)", value: "iron" }
      ],
      desserts: [
        {
          name: "Frozen Yogurt",
          calories: 159,
          fat: 6.0,
          carbs: 24,
          protein: 4.0,
          iron: "1%"
        },
        {
          name: "Ice cream sandwich",
          calories: 237,
          fat: 9.0,
          carbs: 37,
          protein: 4.3,
          iron: "1%"
        },
        {
          name: "Eclair",
          calories: 262,
          fat: 16.0,
          carbs: 23,
          protein: 6.0,
          iron: "7%"
        },
        {
          name: "Cupcake",
          calories: 305,
          fat: 3.7,
          carbs: 67,
          protein: 4.3,
          iron: "8%"
        },
        {
          name: "Gingerbread",
          calories: 356,
          fat: 16.0,
          carbs: 49,
          protein: 3.9,
          iron: "16%"
        },
        {
          name: "Jelly bean",
          calories: 375,
          fat: 0.0,
          carbs: 94,
          protein: 0.0,
          iron: "0%"
        },
        {
          name: "Lollipop",
          calories: 392,
          fat: 0.2,
          carbs: 98,
          protein: 0,
          iron: "2%"
        },
        {
          name: "Honeycomb",
          calories: 408,
          fat: 3.2,
          carbs: 87,
          protein: 6.5,
          iron: "45%"
        },
        {
          name: "Donut",
          calories: 452,
          fat: 25.0,
          carbs: 51,
          protein: 4.9,
          iron: "22%"
        },
        {
          name: "KitKat",
          calories: 518,
          fat: 26.0,
          carbs: 65,
          protein: 7,
          iron: "6%"
        }
      ]
    };
  }
};
</script>

<style>
.green-bg {
  display: table-row;
}

.green-bg:hover {
  background: green !important;
}
</style>
